package cl.jtv;

/*
 * ComandoMMG.java
 *
 * Created on 19 de febrero de 2003, 12:23 AM
 */

/**
 *
 * @author  Administrador
 * @version 
 */
public class ComandoMM extends Comando {

    private int dx,dy;
    /** Creates new ComandoMMG */
    public ComandoMM(Object newArtefacto, Vector2 newVector2, int newdx, int newdy) {
        super(newArtefacto,newVector2);
        dx = newdx;
        dy = newdy;
    }
    
    public void doIt(){
        
        Maquina maquina = (Maquina)artefacto;
        maquina.mover(dx,dy);
        maquina.mover(1,1);
        maquina.mover(-1,-1);
        maquina.updateBounds();  
    }

}
